export declare enum PageEditorTextSizeOptions {
    "18px" = "18px",
    "24px" = "24px",
    "48px" = "48px"
}
export declare enum PageEditorSpacerHeightOptions {
    "18px" = "18px",
    "24px" = "24px",
    "48px" = "48px"
}
export declare enum PageEditorTextIndentationOptions {
    "left" = "left",
    "center" = "center",
    "right" = "right"
}
export declare enum PageEditorSpacerTypes {
    "empty" = "empty",
    "dot" = "dot",
    "dash" = "dash",
    "asterisk" = "asterisk"
}
export declare enum PageEditorComponentsType {
    text = 0,
    image = 1,
    video = 2,
    spacer = 3
}
declare global {
    type ComponentSection = {
        type: PageEditorComponentsType;
        id: string;
        content: string | PageEditorSpacerTypes;
        settings?: {
            width?: number;
            height?: number;
            fontSize?: PageEditorTextSizeOptions;
            textIndentation?: PageEditorTextIndentationOptions;
            imageAltText?: string;
            spacerHeight?: PageEditorSpacerHeightOptions;
        };
    };
}
